[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDef.InternalCalcField

Is this a definition of an internally calculated field ?

## Declaration

Source position: db.pas line 193

`public property TFieldDef.InternalCalcField : Boolean read FInternalCalcField write FInternalCalcField;`

## Description

Internalcalc is True if the fielddef instance represents an internally calculated field: for internally calculated fields, storage must be provided by the underlying data mechanism.